﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.IO.IsolatedStorage;
using System.IO;

namespace IsolatedStorage
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            if (IsolatedStorageSettings.ApplicationSettings.Contains(App.textColor))
            {
                int colorInt = Int32.Parse(IsolatedStorageSettings.ApplicationSettings[App.textColor].ToString());
                SolidColorBrush scb=null;
                switch (colorInt)
                {
                    case 0:
                         scb = new SolidColorBrush(Colors.White); 
                        break;
                    case 1:
                         scb = new SolidColorBrush(Colors.Red); 
                        break;
                    case 2:
                        scb = new SolidColorBrush(Colors.Green);
                        break;
                    case 3:
                        scb = new SolidColorBrush(Colors.Blue);
                        break;
                }
                setTextBlock.Foreground = scb;
            }

            if (IsolatedStorageSettings.ApplicationSettings.Contains(App.textSize))
            {
                int textSize = Int32.Parse(IsolatedStorageSettings.ApplicationSettings[App.textSize].ToString());
                setTextBlock.FontSize = textSize;
            }
        }

        private void navigateionBtn_Click(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/Set.xaml",UriKind.RelativeOrAbsolute));
        }
    }
}